﻿using System;

namespace ELTE.BoardGame.Model
{
    /// <summary>
    /// Mezőváltozás eseményargumentum típusa.
    /// </summary>
    public class FieldChangedEventArgs : EventArgs
    {
        /// <summary>
        /// Játékos lekérdezése.
        /// </summary>
        public PlayerData Player { get; private set; }

        /// <summary>
        /// Oszlop index lekérdezése.
        /// </summary>
        public Int32 ColumnIndex { get; private set; }

        /// <summary>
        /// Sor index lekérdezése.
        /// </summary>
        public Int32 RowIndex { get; private set; }

        /// <summary>
        /// Mezőváltozás eseményargumentum példányosítása.
        /// </summary>
        /// <param name="columnIndex">Oszlop index.</param>
        /// <param name="rowIndex">Sor index.</param>
        /// <param name="player">Játékos.</param>
        public FieldChangedEventArgs(Int32 columnIndex, Int32 rowIndex, PlayerData player)
        {
            this.Player = player;
            this.ColumnIndex = columnIndex;
            this.RowIndex = rowIndex;
        }
    }
}
