﻿using System;
using ELTE.BoardGame.Model;

namespace ELTE.BoardGame.View
{
    /// <summary>
    /// A nézet felülete.
    /// </summary>
    public interface IBoardGameView
    {
        /// <summary>
        /// A játék kezdésének eseménye.
        /// </summary>
        event EventHandler<EventArgs> GameStarted;

        /// <summary>
        /// A játék léptetésének eseménye.
        /// </summary>
        event EventHandler<BoardEventArgs> GameStepped;

        /// <summary>
        /// Mentés eseménye.
        /// </summary>
        event EventHandler SaveGame;

        /// <summary>
        /// Betöltés eseménye.
        /// </summary>
        event EventHandler LoadGame;

        /// <summary>
        /// A nézethez tartozó modell lekérdezése, vgy beállítása.
        /// </summary>
        BoardGameModel Model { get; set; }

        /// <summary>
        /// Megjelenített állapot frissítése.
        /// </summary>
        void UpdateViewState();
    }
}
